using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record D2_FacePartsX(Dictionary<int, List<FilePath>> Amazon,
                           List<FilePath> Collection,
                           Dictionary<int, List<FilePath>> Content,
                           string OutputResolutionWithDirectory)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, D2_FacePartsXSourceGenerationContext.Default.D2_FacePartsX);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(D2_FacePartsX))]
public partial class D2_FacePartsXSourceGenerationContext : JsonSerializerContext
{
}