using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record LocationInfo(
    [property: JsonPropertyName("city")] string City,
    [property: JsonPropertyName("country")] string Country,
    [property: JsonPropertyName("countryIso3Code")] string CountryIso3Code,
    [property: JsonPropertyName("state")] string State,
    [property: JsonPropertyName("stateCode")] string StateCode
);

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(LocationInfo))]
public partial class LocationInfoGenerationContext : JsonSerializerContext
{
}