namespace View_by_Distance.Shared.Models.Properties;

public interface IItem
{

    public ExifDirectory? ExifDirectory { get; }
    public bool? FileSizeChanged { get; }
    public List<Face> Faces { get; }
    public FilePath FilePath { get; }
    public bool? IsArchive { get; }
    public bool? IsNotUniqueAndNeedsReview { get; }
    public bool IsUniqueFileName { get; }
    public bool IsValidImageFormatExtension { get; }
    public bool? Moved { get; }
    public string RelativePath { get; }
    public FileHolder? ResizedFileHolder { get; }
    public FileHolder SourceDirectoryFileHolder { get; }

}