using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record D_FaceX(Dictionary<int, List<FilePath>> Amazon,
                     Dictionary<int, List<FilePath>> Content,
                     Dictionary<int, List<FilePath>> Collection,
                     string OutputResolutionWithDirectory)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, D_FaceXSourceGenerationContext.Default.D_FaceX);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(D_FaceX))]
public partial class D_FaceXSourceGenerationContext : JsonSerializerContext
{
}