using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record MappingFromFilterPre(bool? InSkipCollection,
                                   bool? IsFocusModel,
                                   bool? IsFocusRelativePath)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, MappingFromFilterPreGenerationContext.Default.MappingFromFilterPre);
        return result;
    }

    internal static void Constructor() =>
        _ = new MappingFromFilterPre(null, null, null);

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(MappingFromFilterPre))]
public partial class MappingFromFilterPreGenerationContext : JsonSerializerContext
{
}