namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IMappingFromItem
{

    public static MappingFromItem GetMappingFromItem(DateTime[] containerDateTimes, Models.Item item, Models.FileHolder? resizedFileHolder)
        => MappingFromItem.GetMappingFromItem(containerDateTimes, item, resizedFileHolder);

    public static MappingFromItem GetMappingFromItem(Models.Item item)
        => GetMappingFromItem(containerDateTimes: [], item, item.ResizedFileHolder);

    internal MappingFromItem TestStatic_GetMappingFromItem(Models.Item item)
        => GetMappingFromItem(item);

    internal MappingFromItem TestStatic_GetMappingFromItem(DateTime[] containerDateTimes, Models.Item item, Models.FileHolder? resizedFileHolder)
            => GetMappingFromItem(containerDateTimes, item, resizedFileHolder);

}